## indi-dsi 0.4+20220129131520

=== debian/changelog ===
indi-dsi (0.4+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:42:06 +0000

indi-dsi (0.4-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Dec 2021 12:40:39 +0100

indi-dsi (0.4-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 17 Dec 2021 09:40:39 +0000

## indi-dsi 0.4+20220611123426

=== debian/changelog ===
indi-dsi (0.4+20220611123426-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:34:36 +0000

## indi-dsi 0.4+20221223123028

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi-dsi CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

IF(APPLE)
set(FIRMWARE_INSTALL_DIR "/usr/local/lib/indi/DriverSupport/dsi")
ELSE(APPLE)
set(RULES_INSTALL_DIR "/lib/udev/rules.d")
set(FIRMWARE_INSTALL_DIR "/lib/firmware")
ENDIF()
set (DSI_VERSION_MAJOR 0)
set (DSI_VERSION_MINOR 4)

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(USB1 REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_dsi.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_dsi.xml)

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})

include(CMakeCommon)

# This warning only valid for Clang above version 3.9
IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 3.8.9)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-undefined-var-template")
ENDIF ()

########### DSI ###########
set(indidsi_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/dsi_ccd.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/DsiDevice.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/DsiDeviceFactory.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/DsiPro.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/DsiColor.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/DsiProII.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/DsiProIII.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/DsiColorII.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/DsiColorIII.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/DsiTypes.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/Util.cpp   
   )

if (APPLE)
    set(indidsi_SRCS
        ${indidsi_SRCS}
        ${CMAKE_CURRENT_SOURCE_DIR}/download_fx2.cpp)
endif()

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(indidsi indidsi_SRCS 10 cpp)
ENDIF ()

add_executable(indi_dsi_ccd ${indidsi_SRCS})

target_link_libraries(indi_dsi_ccd ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} ${USB1_LIBRARIES} )

install(TARGETS indi_dsi_ccd RUNTIME DESTINATION bin )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_dsi.xml DESTINATION ${INDI_DATA_DIR})

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
install(FILES 99-meadedsi.rules DESTINATION ${RULES_INSTALL_DIR})
ENDIF()

install(FILES meade-deepskyimager.hex DESTINATION ${FIRMWARE_INSTALL_DIR})

=== debian/changelog ===
indi-dsi (0.4+20221223123028-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113016)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Sep 2025 09:31:43 +0200

indi-dsi (0.4+20221223123028-2) unstable; urgency=medium

  * debian/control: add dh-sequence-movetousr as Build-Depends:
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 May 2024 19:31:43 +0200

indi-dsi (0.4+20221223123028-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 12:31:43 +0000

=== debian/control ===
Source: indi-dsi
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, dh-sequence-movetousr
Standards-Version: 4.7.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-dsi
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-dsi.git

Package: indi-dsi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Meade DSI Pro I/II/III
 This package contains an INDI driver for Meade DSI Pro I/II/III cameras.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
